Bug 145435 - kernel: [drm:i830_ioremapfree:mappings] *ERROR* Excess frees:
kernel: [drm:i830_ioremapfree:mappings] *ERROR* Excess frees:
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Martuccelli
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2005-01-18 09:21 EST by Mikael M. Hansen
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-01-23 14:14:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mikael M. Hansen 2005-01-18 09:21:08 EST
Description of problem:
When a RHEL3 (Upd 2-4) host has been running for a few days while a
person is logged in on the console (X) and logout the screen goes
blank and the following keeps appearing between attempts to start X again.

Jan 17 04:04:03 scenic32 kernel:[drm:i830_ioremapfree:mappings]*ERROR*
Excess frees: 5062233 frees, 98511 allocs 
Jan 17 04:04:03 scenic32 kernel: [drm:i830_ioremapfree:mappings]
*ERROR* Attempt to free NULL pointer 
Jan 17 04:04:03 scenic32 kernel: [drm:i830_ioremapfree:mappings]
*ERROR* Excess frees: 5062234 frees, 98511 allocs 
Jan 17 04:04:03 scenic32 kernel: [drm:i830_ioremapfree:mappings]
*ERROR* Attempt to free NULL pointer 
Jan 17 04:04:03 scenic32 kernel: [drm:i830_ioremapfree:mappings]
*ERROR* Excess frees: 5062235 frees


I suppose it has somethin to do with the i830 module (drm).

Version-Release number of selected component (if applicable):

# modinfo i830
filename:   /lib/modules/2.4.21-27.0.1.EL/kernel/drivers/char/drm/i830.o
description: "Intel 830M"
author:      "VA Linux Systems Inc."
license:     "GPL and additional rights"
parm:        drm_opts string

How reproducible:
It has been consistant for 6 month (in both RHEL3 upd2, upd3 and upd4)

Steps to Reproduce:
1. Login (x) use the host for nomal operations. Activate the
screensaver at night
2. Logout after a few days
Actual results:

Expected results:

Additional info:

Initially I expected it to be related to power management, but it is
totally disabled in BIOS and the problem still persists. 

It appears, with my limited knowledge of this area, that the module
tries to free memory that is already free. But why? Is it because the
BIOS and the driver does not agree on the amount of memory availabe
for graphics?
Comment 2 Mikael M. Hansen 2005-02-16 05:14:44 EST
How is it going with this? It prevent us from rooling out RHEL3WS
clients to our users. 
Comment 3 Xander D Harkness 2005-11-16 08:41:24 EST
I also experience this.  

There is a work around, in that you can use the vesa module, which does not use the i830 DRI module.
Comment 4 Xander D Harkness 2005-11-16 08:45:14 EST
This also looks similar to this one here:
Comment 5 Peter Martuccelli 2007-01-23 14:14:15 EST
Closing out as wontfix in RHEL3, workaround is to use the vesa driver.

Note You need to log in before you can comment on or make changes to this bug.